## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ReusableArenaBlock< ObjectType, SizeType > Class Template Reference

Inheritance diagram for ReusableArenaBlock< ObjectType, SizeType >:

[legend]
Collaboration diagram for ReusableArenaBlock< ObjectType, SizeType >:

[legend]
List of all members.

## Public Types

- typedef ArenaBlockBase< ObjectType,
  SizeType > BaseClassType
- typedef BaseClassType::size_type size_type
- typedef ReusableArenaBlock<
  ObjectType, SizeType > ThisType

## Public Member Functions

- ReusableArenaBlock (MemoryManagerType &theManager, size_type theBlockSize)
- ~ReusableArenaBlock ()
- ObjectType * allocateBlock ()
- void commitAllocation (ObjectType *)
- void destroyObject (ObjectType *theObject)
- bool ownsObject (const ObjectType *theObject) const

## Static Public Member Functions

- ThisType * create (MemoryManagerType &theManager, size_type theBlockSize)

## Protected Member Functions

- bool shouldDestroyBlock (const ObjectType *theObject) const
- bool isOccupiedBlock (const NextBlock *block) const

### template<class ObjectType, class SizeType = unsigned short>
class ReusableArenaBlock< ObjectType, SizeType >

## Member Typedef Documentation

template<class ObjectType, class SizeType = unsigned short>
typedef ArenaBlockBase<ObjectType, SizeType> ReusableArenaBlock< ObjectType, SizeType >::BaseClassType

template<class ObjectType, class SizeType = unsigned short>
typedef BaseClassType::size_type ReusableArenaBlock< ObjectType, SizeType >::size_type

| Reimplemented from ArenaBlockBase< ObjectType, SizeType >.

template<class ObjectType, class SizeType = unsigned short>
typedef ReusableArenaBlock<ObjectType, SizeType> ReusableArenaBlock< ObjectType, SizeType >::ThisType

| Reimplemented from ArenaBlockBase< ObjectType, SizeType >.

## Constructor & Destructor Documentation

template<class ObjectType, class SizeType = unsigned short>
ReusableArenaBlock< ObjectType, SizeType >::ReusableArenaBlock | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockSize
| ) |

template<class ObjectType, class SizeType = unsigned short>
ReusableArenaBlock< ObjectType, SizeType >::~ReusableArenaBlock | ( |  | ) |

## Member Function Documentation

template<class ObjectType, class SizeType = unsigned short>
ObjectType* ReusableArenaBlock< ObjectType, SizeType >::allocateBlock | ( |  | ) |

template<class ObjectType, class SizeType = unsigned short>
void ReusableArenaBlock< ObjectType, SizeType >::commitAllocation | ( | ObjectType * |  | ) |

template<class ObjectType, class SizeType = unsigned short>
ThisType* ReusableArenaBlock< ObjectType, SizeType >::create | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockSize
| ) | `[static]`

template<class ObjectType, class SizeType = unsigned short>
void ReusableArenaBlock< ObjectType, SizeType >::destroyObject | ( | ObjectType * | theObject | ) |

template<class ObjectType, class SizeType = unsigned short>
bool ReusableArenaBlock< ObjectType, SizeType >::isOccupiedBlock | ( | const NextBlock * | block | ) | const`[protected]`

template<class ObjectType, class SizeType = unsigned short>
bool ReusableArenaBlock< ObjectType, SizeType >::ownsObject | ( | const ObjectType * | theObject | ) | const

template<class ObjectType, class SizeType = unsigned short>
bool ReusableArenaBlock< ObjectType, SizeType >::shouldDestroyBlock | ( | const ObjectType * | theObject | ) | const`[protected]`

The documentation for this class was generated from the following file:

- ReusableArenaBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.